Bug 498363 - Review Request: wordpress-plugin-add-to-any-subscribe - Add to Any Subscribe Button plugin for WordPress
Summary: Review Request: wordpress-plugin-add-to-any-subscribe - Add to Any Subscribe ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-30 04:16 UTC by Ian Weller
Modified: 2009-05-26 07:56 UTC (History)
2 users (show)

Fixed In Version: 0.9.6.4.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-26 07:52:14 UTC
Type: ---
david: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2009-04-30 04:16:58 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/wordpress-plugin-add-to-any-subscribe/0.9.6.4.1-1/wordpress-plugin-add-to-any-subscribe.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/wordpress-plugin-add-to-any-subscribe/0.9.6.4.1-1/wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10.src.rpm
Description:

Helps readers subscribe to your blog using any feed reader, such as Google
Reader, My Yahoo!, Netvibes, Windows Live, and all other RSS readers. The
button comes with Add to Any's customizable Smart Menu, which places the
services visitors use at the top of the menu, based on each visitor's browsing
history.

 * Add to Any Smart Menu
 * Includes all services
 * Services updated automatically
 * WordPress optimized, localized (i18n for English, Chinese, Danish)
 * Searchable on key-down
 * Keyboard navigation
 * Many more publisher and user features

Comment 1 David Nalley 2009-05-06 11:47:30 UTC
OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyt61 rpmbuild]$ rpmlint SPECS/wordpress-plugin-add-to-any-subscribe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 rpmbuild]$ rpmlint SRPMS/wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 rpmbuild]$ rpmlint RPMS/noarch/wordpress-plugin-add-to-any-subscribe- wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10.noarch.rpm
wordpress-plugin-add-to-any-subscribe-i18n-0.9.6.4.1-1.fc10.noarch.rpm
[ke4qqq@nalleyt61 rpmbuild]$ rpmlint RPMS/noarch/wordpress-plugin-add-to-any-subscribe* 
wordpress-plugin-add-to-any-subscribe.noarch: W: dangling-symlink /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe.mo /usr/share/locale/en/LC_MESSAGES/wordpress-plugin-add-to-any-subscribe.mo
wordpress-plugin-add-to-any-subscribe.noarch: W: dangling-symlink /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe-da_DK.mo /usr/share/locale/da_DK/LC_MESSAGES/wordpress-plugin-add-to-any-subscribe.mo
wordpress-plugin-add-to-any-subscribe.noarch: W: dangling-symlink /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe-zh_CN.mo /usr/share/locale/zh_CN/LC_MESSAGES/wordpress-plugin-add-to-any-subscribe.mo
wordpress-plugin-add-to-any-subscribe.noarch: W: file-not-in-%lang /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe-da_DK.mo
wordpress-plugin-add-to-any-subscribe.noarch: W: file-not-in-%lang /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe-zh_CN.mo
wordpress-plugin-add-to-any-subscribe.noarch: W: file-not-in-%lang /usr/share/wordpress/wp-content/plugins/add-to-any-subscribe/i18n/add-to-any-subscribe.mo
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


The errors are expected and documented in the spec file. 


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Appears to be GPLv3 See more information below. 

FIX: The License field in the package spec file must match the actual license.
The website you reference in the spec does indeed say that the files and content are licensed under the GPL and then links to a copy of GPLv3. However the license linked is not GPLv3+. 
I trust this is something that you can fix before it hits CVS. 

NA: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
02049bf88fa2b594dce643e1842b5aea  add-to-any-subscribe.0.9.6.4.1.zip
02049bf88fa2b594dce643e1842b5aea  add-to-any-subscribe.0.9.6.4.1.zip.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
At least works on x86_64, though since it's a noarch package should work anywhere. 

NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8.

Comment 2 Ian Weller 2009-05-09 16:34:20 UTC
Thanks David.

New Package CVS Request
=======================
Package Name: wordpress-plugin-add-to-any-subscribe
Short Description: Add to Any Subscribe Button plugin for WordPress
Owners: ianweller
Branches: F-11 F-10 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-05-09 20:58:06 UTC
cvs done.

Comment 4 Fedora Update System 2009-05-25 02:31:44 UTC
wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10,wordpress-plugin-add-to-any-0.9.9.2.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10,wordpress-plugin-add-to-any-0.9.9.2.3-1.fc10

Comment 5 Fedora Update System 2009-05-25 02:31:54 UTC
wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc11,wordpress-plugin-add-to-any-0.9.9.2.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc11,wordpress-plugin-add-to-any-0.9.9.2.3-1.fc11

Comment 6 Fedora Update System 2009-05-26 07:52:03 UTC
wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc11, wordpress-plugin-add-to-any-0.9.9.2.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-05-26 07:56:36 UTC
wordpress-plugin-add-to-any-subscribe-0.9.6.4.1-1.fc10, wordpress-plugin-add-to-any-0.9.9.2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.